/*
Theme Name: Astra Child Theme
Description: Astra ist super!
Author: Fabian Keller
Template: astra
Version: 1.0.0
*/


label {
	color: white
}


a {
    cursor: pointer;
	
}

input[type="submit"] {
	width: 25%;
}

.wp-block-heading a {
  text-decoration: none;
}

.ast-single-post .entry-content a, .ast-comment-content a:not(.ast-comment-edit-reply-wrap a) {
	text-decoration: none;
}

body {
	background-color: black;
}

.ast-plain-container, .ast-page-builder-template {
	background-color: black;
}

.wpcf7-form-control{
	   background-color: black;
    color: white;
    border: none; 
    border-bottom: 2px solid white; 
    padding: 5px;
    box-sizing: border-box;
	cursor: pointer;
}

.wpcf7-form-control:focus{
	  border-bottom: 2px solid white;
	background-color: black;
	color: white;
	cursor: pointer;
}

.wpcf7-form-control.wpcf7-textarea {
    color: white; 
}

.wpcf7-form-control {
    -webkit-transition: background-color 0.3s ease, color 0.3s ease;
    transition: background-color 0.3s ease, color 0.3s ease;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
}


.wpcf7 textarea.wpcf7-form-control:focus {
border: 1px solid white;
	color: white;
}


input.wpcf7-form-control.wpcf7-text.wpcf7-validates-as-required {
    background-color: black;
    color: white;
    border: none; 
    border-bottom: 2px solid white; 
    padding: 5px;
    box-sizing: border-box;
}

input.wpcf7-form-control.wpcf7-text.wpcf7-validates-as-required:focus {
    border-bottom: 2px solid white;
	color: white;
}

input.wpcf7-form-control.wpcf7-text.wpcf7-validates-as-required:active {
    background-color: black;
    color: white;
    border: none; 
    border-bottom: 2px solid white; 
    padding: 5px;
    box-sizing: border-box;
}


.wp-block-button__link.wp-element-button:hover {
    background-color: black; 
	border: 2px solid #8C98DF;
    color: white;
}

.wpcf7-form-control .wpcf7-submit .has-spinner:hover  {
    background-color: black; 
	border: 2px solid #8C98DF;
    color: white;

}

.wp-block-image.size-large {
    position: relative;
    overflow: hidden; 
	cursor: pointer;
}

.wp-block-image.size-large {
    position: relative;
    display: inline-block;
}

.wp-block-image.size-large a::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0);
    transition: background-color 0.3s ease;
    will-change: background-color;
}

.wp-block-image.size-large a:hover::before {
    background-color: rgba(0, 0, 0, 0.3); /* Schwarze Fläche mit 0.7 Opazität */
}

.wpcf7-submit.has-spinner:hover {
    background-color: black; 
	border: 2px solid #8C98DF;
    color: white;
}

.wpcf7-submit.has-spinner:active {
    background-color: black; 
	border: 2px solid #8C98DF;
    color: white;
}

img.wp-block-cover__image-background {
    width: 100%; /* Das Bild füllt die verfügbare Breite */
    height: auto; /* Verhältnis bleibt gleich */
    object-fit: cover; /* Das Bild bleibt proportional und wird passend zugeschnitten */
}

@media (max-width: 480px) {
   h1.wp-block-heading.has-text-align-right:first-of-type {
  font-size: 72px;
}
	
	.wp-block-group .wp-block-heading {
		font-size: 28px !important;
	}
	
	p {
		font-size: 18px  !important;
    }
	
	.wp-block-cover__image-background.wp-image-480 {
    object-position: 20% center; /* Bild weiter nach rechts verschieben */
  }
	
	h2 {
		font-size: 24px;
	}
	
	img.wp-block-cover__image-background {
        object-fit: contain;
    }
	
	 .wp-block-column.is-vertically-aligned-center.is-layout-flow.wp-block-column-is-layout-flow {
        padding-left: 0 !important;
        padding-right: 0 !important;
    }
	
	input[type="submit"] {
    width: 55%;
}
	
.wp-block-gallery.columns-2 {
  display: flex; 
  flex-direction: column; 
  align-items: center; 
  gap: 40px;
}

.wp-block-gallery.columns-2 figure {
  width: 95% !important; 
  margin: 0 auto; 
  text-align: center; 
}

.wp-block-gallery.columns-2 img {
  display: block; 
  width: 100%;
  height: auto; 
}

	.entry-content p {
  margin: 15% 0 15% 0 !important;
}
	
.wp-block-details {
  margin: 5% 5% 0% 5% !important; 
  padding: 0;
}

	
}
